%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   DBD-CSV
%define modv   0.22


Summary:       A DBI driver for CSV files
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/J/JZ/JZUCKER/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Jeff Zucker <jeff@vpservices.com>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Crypt::DES)
BuildRequires: perl(DBI) >= 1.00
BuildRequires: perl(DBD::File) >= 0.30
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(SQL::Statement) >= 0.11
BuildRequires: perl(Sys::Syslog)
BuildRequires: perl(Text::CSV_XS) >= 0.16
BuildArch:     noarch


%description
DBD::CSV is yet another driver for the DBI (Database independent interface
for Perl). This one is based on SQL::Statement and the abstract DBI driver
DBD::File and implements access to CSV files (Comma separated values).


%prep
%setup -q -n %{modn}-%{modv}

# Fix permissions
%{__chmod} -x ChangeLog README


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Fri Nov 21 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.22-1
- Initial build
